## complexity 1.0.0

=== DESCRIPTION ===
Package: complexity
Type: Package
Title: Calculate the Proportion of Permutations in Line with an
        Informative Hypothesis
Version: 1.0.0
Author: M. A. J. Zondervan-Zwijnenburg
Maintainer: M. A. J. Zondervan-Zwijnenburg <m.a.j.zwijnenburg@uu.nl>
Description: Allows for the easy computation of complexity: the proportion of the parameter space in line with the hypothesis by chance.
License: GPL (>= 2)
Depends: combinat
NeedsCompilation: no
Packaged: 2017-01-21 10:38:13 UTC; marielle
Repository: CRAN
Date/Publication: 2017-01-21 23:57:12

## complexity 1.1.0

=== DESCRIPTION ===
Package: complexity
Type: Package
Title: Calculate the Proportion of Permutations in Line with an
        Informative Hypothesis
Version: 1.1.0
Author: M. A. J. Zondervan-Zwijnenburg
Maintainer: M. A. J. Zondervan-Zwijnenburg <m.a.j.zwijnenburg@uu.nl>
Description: Allows for the easy computation of complexity: the proportion of the parameter space in line with the hypothesis by chance. The package comes with a Shiny application in which the calculations can be conducted as well. 
License: GPL (>= 2)
Depends: combinat, shiny
NeedsCompilation: no
Packaged: 2017-03-06 16:58:50 UTC; marielle
Repository: CRAN
Date/Publication: 2017-03-07 00:55:08

## complexity 1.1.1

=== DESCRIPTION ===
Package: complexity
Type: Package
Title: Calculate the Proportion of Permutations in Line with an
        Informative Hypothesis
Version: 1.1.1
Author: M. A. J. Zondervan-Zwijnenburg
Maintainer: M. A. J. Zondervan-Zwijnenburg <m.a.j.zwijnenburg@uu.nl>
Description: Allows for the easy computation of complexity: the proportion of the parameter space in line with the hypothesis by chance. The package comes with a Shiny application in which the calculations can be conducted as well. 
License: GPL (>= 2)
Depends: combinat, shiny
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-04-15 20:08:53 UTC; marielle
Repository: CRAN
Date/Publication: 2017-04-15 20:28:46 UTC

## complexity 1.1.2

=== DESCRIPTION ===
Package: complexity
Type: Package
Title: Calculate the Proportion of Permutations in Line with an
        Informative Hypothesis
Version: 1.1.2
Author: M. A. J. Zondervan-Zwijnenburg
Maintainer: M. A. J. Zondervan-Zwijnenburg <m.zondervan@vilans.nl>
Description: Allows for the easy computation of complexity: the proportion of the parameter space in line with the hypothesis by chance. The package comes with a Shiny application in which the calculations can be conducted as well. 
License: GPL (>= 2)
Depends: combinat, shiny
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-03-09 19:27:12 UTC; marielle
Repository: CRAN
Date/Publication: 2022-03-10 08:30:05 UTC

## complexity 1.3+dfsg

=== debian/changelog ===
complexity (1.3+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 08 Feb 2016 08:48:29 +0300

complexity (1.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #781946)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 04 Apr 2015 23:12:13 +0300

=== debian/control ===
Source: complexity
Section: devel
Priority: optional
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Build-Depends:
 autogen,
 dh-autoreconf,
 debhelper (>= 9),
 gnulib,
 libopts25-dev,
Standards-Version: 3.9.6
Homepage: https://gnu.org/software/complexity
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
Vcs-Git: git://anonscm.debian.org/users/kaction-guest/complexity.git

Package: complexity
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for analyzing the complexity of C program functions
 Complexity measurement tool help to:
 .
  * locate suspicious areas in unfamiliar code
  * get an idea of how much effort may be required to understand that
    code
  * get an idea of the effort required to test a code base
  * provide a reminder to yourself. You may see what you've written
     as obvious, but others may not.
 .
 Comparing with existing tool McCabe, this program improves scoring
 of following language constructs:
 .
  * code length
  * switch statement
  * logic conditions

Package: complexity-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: tool for analyzing the complexity of C program (documentation)
 Complexity measurement tool help to:
 .
  * locate suspicious areas in unfamiliar code
  * get an idea of how much effort may be required to understand that
    code
  * get an idea of the effort required to test a code base
  * provide a reminder to yourself. You may see what you've written
     as obvious, but others may not.
 .
 Comparing with existing tool McCabe, this program improves scoring
 of following language constructs:
 .
  * code length
  * switch statement
  * logic conditions
 .
 This package contains documentation in TexInfo format.

## complexity 1.5+dfsg

=== debian/changelog ===
complexity (1.5+dfsg-1) unstable; urgency=medium

  * New upstream release, which fix issues with non-Unix line endings
    (Closes: #816244)
  * Standards version bump -- 3.9.7 (No changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 01 Mar 2016 22:20:16 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper (>= 9),
  gnulib,
  libopts25-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://gnu.org/software/complexity
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
 Vcs-Git: git://anonscm.debian.org/users/kaction-guest/complexity.git

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg//,uversionmangle=s/$/+dfsg/" \
  https://ftp.gnu.org/gnu/complexity/complexity-(\d\.\d).tar.xz

## complexity 1.9+dfsg

=== debian/changelog ===
complexity (1.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Change insecure git:// uri into secure https:// in Vcs-Git
    field

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 13 Apr 2016 22:15:51 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 3.9.7
 Homepage: https://gnu.org/software/complexity
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
-Vcs-Git: git://anonscm.debian.org/users/kaction-guest/complexity.git
+Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
 
 Package: complexity
 Architecture: any

## complexity 1.10%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper (>= 9),
  gnulib,
  libopts25-dev,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://gnu.org/software/complexity
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
 Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git

## complexity 1.10+dfsg

=== debian/changelog ===
complexity (1.10+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing build dependency on texinfo. (Closes: #949268)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Feb 2020 18:24:46 +0200

complexity (1.10+dfsg-3) unstable; urgency=medium

  * Update Vcs-* fields in debian/control.
  * Update maintainer email
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 18:50:02 +0000

complexity (1.10+dfsg-2) unstable; urgency=medium

  * Bump compat to 10. Drop explicit dependency on dh-autoreconf.
  * Make build reproducible by explicitly setting MAN_PAGE_DATE
    environment variable. It affects timestamp in generated manpage
  * Remove 'debian/NEWS' copy of upstream NEWS file
  * Bump compat version to 11 (no changes needed)
  * Bump standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in debian/control.
  * Add trivial autopkgtest

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 15 Oct 2018 03:42:10 +0000

complexity (1.10+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.8 (no changes needed)
  * Update 'debian/watch' file to deal with two digits after dot

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 24 Aug 2016 10:44:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: complexity
 Section: devel
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@gnu.org>
+Maintainer: Dmitry Bogatov <KAction@debian.org>
 Build-Depends:
  autogen,
- dh-autoreconf,
- debhelper (>= 9),
+ debhelper-compat (= 11),
  gnulib,
  libopts25-dev,
-Standards-Version: 3.9.8
+ texinfo,
+Standards-Version: 4.2.1
 Homepage: https://gnu.org/software/complexity
-Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
-Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/complexity.git
+Vcs-Browser: https://salsa.debian.org/debian/complexity
+Vcs-Git: https://salsa.debian.org/debian/complexity.git
 
 Package: complexity
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export MAN_PAGE_DATE ?= $(shell LC_ALL=C date -u -d"@$(SOURCE_DATE_EPOCH)" "+%d %b %Y")

%:
	dh $@

override_dh_autoreconf:
	## This is unfortunate, but we are forced to invoke gnulib-tool manually
	## and list modules here, since bootstrap script assumes presence of git
	## and network connection, and policy is to avoid bundled copies of
	## another project code.
	gnulib-tool --import close fdl gendocs gpl-3.0 malloc-posix snprintf stdbool
	## liboptschk.m4 was bundled m4/ alongside with gnulib macros,
	## but we dropped it. This way is even better, since we for sure get
	## the newest version of liboptschk.m4.
	ln -s /usr/share/autogen/liboptschk.m4 m4/
	dh_autoreconf

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg//,uversionmangle=s/$/+dfsg/" \
  https://ftp.gnu.org/gnu/complexity/complexity-(\d\.\d+).tar.xz

## complexity 1.13

=== debian/changelog ===
complexity (1.13-1) unstable; urgency=medium

  * Update to latest upstream version 1.13
  * Upstream 1.13 added explicit license to the offending file that mandated
    source repackaging in all previous versions which is now DFSG compatible
  * Remove gnulib generated stuff during build since there is no repackaging
  * Update standards to 4.6.0, no changes
  * Bump debhelper-compat to 13, no changes
  * Update watch to version 4
  * Add upstream metadata
  * New maintainer (Closes: #959161)

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 12 Sep 2021 20:52:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: complexity
 Section: devel
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  autogen,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  gnulib,
  libopts25-dev,
  texinfo,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://gnu.org/software/complexity
 Vcs-Browser: https://salsa.debian.org/debian/complexity
 Vcs-Git: https://salsa.debian.org/debian/complexity.git
@@ -38,7 +39,9 @@
 Package: complexity-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
 Description: tool for analyzing the complexity of C program (documentation)
  Complexity measurement tool help to:
  .

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 	dh $@
 
 override_dh_autoreconf:
+	## Instead of repackaging the upstream source, we remove the files included
+	## from gnulib before the build.
+	rm -rf doc/complexity.info doc/gendocs_template m4/ lib/
+	## Regenerate src/opts.[ch] from src/opts.def - current upstream source uses
+	## newer autogen version than the system one
+	cd src && autogen opts.def
 	## This is unfortunate, but we are forced to invoke gnulib-tool manually
 	## and list modules here, since bootstrap script assumes presence of git
 	## and network connection, and policy is to avoid bundled copies of

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.sig/" \
	https://ftp.gnu.org/gnu/complexity/ \
	complexity-(\d\.\d+).tar.xz \
	debian uupdate
